Custom Fields
Re-Envisioned
Support General Updated to MetaBox 5.2.2 and SELECT_ADVANCED is broken

  • Creator
    Topic
  • #16449
    Resolved Teia Local Studio
    Participant

    Hello, guys!

    Just updated to the from 5.2.1 to 5.2.2 and several metaboxes (in Settings Panel extension) using SELECT_ADVANCED are broken, turning the setting panel unusable (stops loading completely the tabs).

    The javascript error is the following:

    Error on SELECT_ADVANCED meta box on version 5.2.2

    If I roll back to 5.2.1 the error is gone and all boxes load normally.

    Thanks!
    G.

Viewing 1 replies (of 1 total)
  • Author
    Replies
  • #16451
    Teia Local Studio
    Participant

    Found out the problem!

    I had in my functions.php an old piece of code that was loading a old version of SELECT2 to be used inside ADMIN area for other purposes in the past. Forgot to remove it, so it was conflicting with SELECT2 used on the METABOX plugin.

    I simply removed my manual SELECT2 script enqueue and everything is fine now.

    So, if you come across a error like that, first check if you don’t have another call for SELECT2 being enqueued on your ADMIN area via ADD_ACTION(‘admin_enqueue_scripts’, …)!

    Guys, please mark as solved!
    Thanks! Regards,
    G.

Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.